module EasyProjectCom
  module EasyPatch
    module ProjectPatch

     def self.included(base)

       base.class_eval do

         scope :status_changeable, lambda { Redmine::Plugin.installed?(:easy_baseline) ? where(easy_baseline_for_id: nil).where.not(identifier: EasyBaseline::IDENTIFIER) : where('1=1') }

       end

     end

    end
  end
end
EasyExtensions::PatchManager.register_model_patch 'Project', 'EasyProjectCom::EasyPatch::ProjectPatch'
